Passer au contenu principal
GET
/
marketing
/
v3
/
emails
/
statistics
/
histogram
Get aggregated statistic intervals
curl --request GET \
  --url https://api.hubapi.com/marketing/v3/emails/statistics/histogram \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "aggregations": {
        "counters": {},
        "deviceBreakdown": {},
        "qualifierStats": {},
        "ratios": {}
      },
      "interval": {
        "end": "2023-11-07T05:31:56Z",
        "start": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de requête

emailIds
integer<int64>[]
endTimestamp
string<date-time>
interval
enum<string>
Options disponibles:
DAY,
HOUR,
MINUTE,
MONTH,
QUARTER,
QUARTER_HOUR,
SECOND,
WEEK,
YEAR
startTimestamp
string<date-time>

Réponse

successful operation

results
object[]
requis
total
integer<int32>
requis
paging
object

Contains information pagination of results.

Last modified on April 2, 2026